Debian Bug report logs - #663490
python-libtiff: Permission denied: '/usr/lib/python2.7/dist-packages/libtiff/tiff_h_4_0_1.py'

version graph

Package: python-libtiff; Maintainer for python-libtiff is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for python-libtiff is src:pylibtiff.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Sun, 11 Mar 2012 16:48:02 UTC

Severity: serious

Fixed in version pylibtiff/0.3.0~svn78-3

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/pylibtiff/issues/detail?id=20

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Sun, 11 Mar 2012 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 11 Mar 2012 16:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-libtiff: Permission denied: '/usr/lib/python2.7/dist-packages/libtiff/tiff_h_4_0_1.py'
Date: Sun, 11 Mar 2012 17:44:27 +0100
Package: python-libtiff
Severity: important


python-libtiff is currently unusable, it fails with:

>>> import libtiff
Generating '/usr/lib/python2.7/dist-packages/libtiff/tiff_h_4_0_1.py'
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/libtiff/__init__.py", line 20, in <module>
    from .libtiff_ctypes import libtiff, TIFF
  File "/usr/lib/python2.7/dist-packages/libtiff/libtiff_ctypes.py", line 87, in <module>
    f = open(fn, 'w')
IOError: [Errno 13] Permission denied: '/usr/lib/python2.7/dist-packages/libtiff/tiff_h_4_0_1.py'
>>> 


-AA-A System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Sun, 11 Mar 2012 16:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 11 Mar 2012 16:54:09 GMT) Full text and rfc822 format available.

Message #10 received at 663490@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 663490@bugs.debian.org
Cc: Control bugs server <control@bugs.debian.org>
Date: Sun, 11 Mar 2012 17:50:49 +0100
severity 663490 serious
forwarded 663490 http://code.google.com/p/pylibtiff/issues/detail?id=20
thanks

Wrong severity, it is not important it is critical since tiff5 entered
testing and tiff4 was removed.




Severity set to 'serious' from 'important' Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 11 Mar 2012 16:54:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/pylibtiff/issues/detail?id=20'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 11 Mar 2012 16:54:11 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Fri, 30 Mar 2012 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 30 Mar 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #21 received at 663490@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 663681@bugs.debian.org, 663490@bugs.debian.org
Subject: Re: Bug#663681: RM: python-libtiff/0.3.0~svn78-2
Date: Fri, 30 Mar 2012 16:54:53 +0200
On Sat, Mar 24, 2012 at 10:54 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> On Tue, 2012-03-13 at 11:54 +0100, Mathieu Malaterre wrote:
>> pylibtiff does not support the new tiff5 package. Please remove pylibtiff from testing.
>
> That's okay right now.
>
>> See #663490 for information
>
> That bug seems slightly confused.  It says "it is not important it is
> critical since tiff5 entered testing and tiff4 was removed", but
> libtiff4 is still in testing; it's just provided by the "tiff3" source
> package now.

Point taken. However I cannot make any sense of the python documentation:
http://docs.python.org/library/ctypes.html#finding-shared-libraries

In my case:

$ python
>>> import ctypes.util
>>> lib = ctypes.util.find_library('tiff')
>>> print lib
libtiff.so.5

where:

$ ls -al /usr/lib/x86_64-linux-gnu/libtiff.so.*  *
lrwxrwxrwx 1 root root     16 Feb 20 14:59
/usr/lib/x86_64-linux-gnu/libtiff.so -> libtiff.so.4.3.6
lrwxrwxrwx 1 root root     16 Feb 20 14:59
/usr/lib/x86_64-linux-gnu/libtiff.so.4 -> libtiff.so.4.3.6
-rw-r--r-- 1 root root 412208 Feb 20 14:59
/usr/lib/x86_64-linux-gnu/libtiff.so.4.3.6
lrwxrwxrwx 1 root root     16 Feb 20 14:48
/usr/lib/x86_64-linux-gnu/libtiff.so.5 -> libtiff.so.5.0.6
-rw-r--r-- 1 root root 462488 Feb 20 14:48
/usr/lib/x86_64-linux-gnu/libtiff.so.5.0.6

I'll need to find some python-guru for that to help me out.

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Fri, 30 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 30 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #26 received at 663490@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 663681@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 663490@bugs.debian.org
Subject: Re: Bug#663681: RM: python-libtiff/0.3.0~svn78-2
Date: Fri, 30 Mar 2012 20:42:22 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 30, 2012 at 16:54:53 +0200, Mathieu Malaterre wrote:

> On Sat, Mar 24, 2012 at 10:54 PM, Adam D. Barratt
> <adam@adam-barratt.org.uk> wrote:
> > On Tue, 2012-03-13 at 11:54 +0100, Mathieu Malaterre wrote:
> >> pylibtiff does not support the new tiff5 package. Please remove pylibtiff from testing.
> >
> > That's okay right now.
> >
> >> See #663490 for information
> >
> > That bug seems slightly confused.  It says "it is not important it is
> > critical since tiff5 entered testing and tiff4 was removed", but
> > libtiff4 is still in testing; it's just provided by the "tiff3" source
> > package now.
> 
> Point taken. However I cannot make any sense of the python documentation:
> http://docs.python.org/library/ctypes.html#finding-shared-libraries
> 
> In my case:
> 
> $ python
> >>> import ctypes.util
> >>> lib = ctypes.util.find_library('tiff')
> >>> print lib
> libtiff.so.5
> 
> where:
> 
> $ ls -al /usr/lib/x86_64-linux-gnu/libtiff.so.*  *
> lrwxrwxrwx 1 root root     16 Feb 20 14:59
> /usr/lib/x86_64-linux-gnu/libtiff.so -> libtiff.so.4.3.6
> lrwxrwxrwx 1 root root     16 Feb 20 14:59
> /usr/lib/x86_64-linux-gnu/libtiff.so.4 -> libtiff.so.4.3.6
> -rw-r--r-- 1 root root 412208 Feb 20 14:59
> /usr/lib/x86_64-linux-gnu/libtiff.so.4.3.6
> lrwxrwxrwx 1 root root     16 Feb 20 14:48
> /usr/lib/x86_64-linux-gnu/libtiff.so.5 -> libtiff.so.5.0.6
> -rw-r--r-- 1 root root 462488 Feb 20 14:48
> /usr/lib/x86_64-linux-gnu/libtiff.so.5.0.6
> 
> I'll need to find some python-guru for that to help me out.
> 
pylibtiff's code is full of ugly.  You're not supposed to use
find_library() and you're not supposed to go read a header file.  That
thing needs a rewrite IMO.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Sun, 29 Apr 2012 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 雨蒼 <billy3321@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 29 Apr 2012 10:36:05 GMT) Full text and rfc822 format available.

Message #31 received at 663490@bugs.debian.org (full text, mbox):

From: 雨蒼 <billy3321@gmail.com>
To: 663490@bugs.debian.org
Subject: A fix for this bug
Date: Sun, 29 Apr 2012 18:33:25 +0800
[Message part 1 (text/plain, inline)]
The permission bug is occured at the first time import the libtiff module.
It need libtiff4-dev package to generate the tiff_h_4_0_1.py at the
path /usr/lib/python2.7/dist-packages/libtiff/ which need root
permission.

So I added the depends of libtiff4-dev as Depends: of the binary
package, and added a postinstall script to import it once to generate
tiff_h_4_0_1.py when running as root.
[pylibtiff_fixed_663490.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 04 May 2012 09:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#663490; Package python-libtiff. (Fri, 04 May 2012 09:30:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 04 May 2012 09:30:37 GMT) Full text and rfc822 format available.

Message #38 received at 663490@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Control bugs server <control@bugs.debian.org>
Cc: 663490@bugs.debian.org, billy3321@gmail.com
Subject: Re:
Date: Fri, 4 May 2012 11:27:18 +0200
tags 663490 - patch
thanks

Here is what I get using your patch:


Generating '/home/mathieu/debian/debian-med/trunk/packages/pylibtiff/trunk/pylibtiff-0.3.0~svn78/libtiff/tiff_h_4_0_1.py'
/usr/bin/python: No module named tif_lzw; 'libtiff' is a package and
cannot be directly executed
dpkg: error processing python-libtiff (--install):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 python-libtiff




Removed tag(s) patch. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 04 May 2012 09:30:40 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Fri, 04 May 2012 10:22:21 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Fri, 04 May 2012 10:22:26 GMT) Full text and rfc822 format available.

Message #45 received at 663490-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 663490-close@bugs.debian.org
Subject: Bug#663490: fixed in pylibtiff 0.3.0~svn78-3
Date: Fri, 04 May 2012 10:19:31 +0000
Source: pylibtiff
Source-Version: 0.3.0~svn78-3

We believe that the bug you reported is fixed in the latest version of
pylibtiff, which is due to be installed in the Debian FTP archive:

pylibtiff_0.3.0~svn78-3.debian.tar.gz
  to main/p/pylibtiff/pylibtiff_0.3.0~svn78-3.debian.tar.gz
pylibtiff_0.3.0~svn78-3.dsc
  to main/p/pylibtiff/pylibtiff_0.3.0~svn78-3.dsc
python-libtiff_0.3.0~svn78-3_amd64.deb
  to main/p/pylibtiff/python-libtiff_0.3.0~svn78-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663490@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated pylibtiff package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 May 2012 11:46:51 +0200
Source: pylibtiff
Binary: python-libtiff
Architecture: source amd64
Version: 0.3.0~svn78-3
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 python-libtiff - wrapper to the libtiff library to Python using ctypes
Closes: 663490
Changes: 
 pylibtiff (0.3.0~svn78-3) unstable; urgency=low
 .
   * Add support for tiff4. Closes: #663490
   * Bump Std-Vers to 3.9.3, no changes needed
   * Use my @d.o alias, remove DMUA flag for now
   * Add explicit call to dh_numpy to remove an lintian error
Checksums-Sha1: 
 b030097f297d3ea79b85becf162c8283df66406d 2073 pylibtiff_0.3.0~svn78-3.dsc
 90539d4309aa615016328729b93d06a5dc11b3c5 8089 pylibtiff_0.3.0~svn78-3.debian.tar.gz
 0ed0945fa53462d8b2d5bb88e5e3886625f15340 80020 python-libtiff_0.3.0~svn78-3_amd64.deb
Checksums-Sha256: 
 478cc53e4c0afc72c7ca6a0058a769c8f8f2bdfa8ea9b1c7b4ff11feaebce3e4 2073 pylibtiff_0.3.0~svn78-3.dsc
 c5c1a5ca9cfff1dcbee49bceb13f3fde9de214a3c14680496a6f8f1e20cd04b9 8089 pylibtiff_0.3.0~svn78-3.debian.tar.gz
 9c0449e86b088a15fa7c884600b8e11fd1130d999750e853b34f2741efd70a52 80020 python-libtiff_0.3.0~svn78-3_amd64.deb
Files: 
 e58aae9e6a37dd7d16b6c1ecfa87add3 2073 python optional pylibtiff_0.3.0~svn78-3.dsc
 d6e3b579367e8de977499c13d74aaa0c 8089 python optional pylibtiff_0.3.0~svn78-3.debian.tar.gz
 1fc36b5c9906fef6604625d4adeb9a10 80020 python optional python-libtiff_0.3.0~svn78-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJPo6oXAAoJEAFx4YKK4JNFipEQAJ7B5NjjpNQkJkUUX44Rei1U
KwTWKYcyO7vSn9FrP9dnk91xWcP/lMFVXFvFv97CiT39T2Br2VajSsvY/Kc+MSUS
anDtwGc09WQZb4MOY/pSUgKxYIm916zwYFTNh5+pqOoFGJfXMkkMU7D4cCMIZ1gK
7uASPvcR4vmtc9bNv7wBuYewjPFjneqqwxSwsHp0XiGW34CW+iE8iQl1aA7zNHKZ
BFNYIENe5Q49dRsfBMO7icyZP7tATRRdbrz4jJ84MyzkdywcA/3LZb6l72YRFNfh
q77c7peh2JYMt5AklxS8wTxu27W1F8bYBXGsWUk+XKFalCYwVlUb4DKAnCXq/Nm8
loKkjnZH0ZKH3fzQqf4GVrH9PDFLOorbmc8Zx3IooUqk7gI3PEtoU2qeBDrh8t/m
Ph2+Gwh7JlokfWL/29c4f+7+btAf691K+yZyp5mYP1Ao1QU/MAjZjXq73bof6wYv
FRnMxgCgoTmQbACpGBofs7jvXXS0yRjuJTvcfGoq36dahDQE0Ja9ReedAeegma+w
lMfg79fc5ldqDJG8dliA0ymK3gOQN78gOlf8DPk4hAEz1DNj1wXtmhgrL8Rep6+G
O/osWBDgYqDG8mlz8IC9cwltEC86vsUef1Nf7Tm3IwEPb/uwL8/EA6HPNwrA7Tgz
CE8IHKKn2f6BYaCZSL2N
=ega+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jun 2012 07:48:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:39:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.